List audio tracks (project-scoped)
GET
/media/v1/projects/{projectId}/videos/{videoId}/audio-tracksReturns a video's audio tracks within a project, including for private media. Requires project access.
Authorization
Bearer Authorization<token>
In: header
Path Parameters
projectId*string
Project ID
videoId*string
Video ID
Response Body
200application/json
OK
type: unknown
{
"$ref": "#/components/schemas/videosv1.ListAudioTracksResponse",
"$ref-value": {
"properties": {
"audio_tracks": {
"items": {
"$ref": "#/components/schemas/videosv1.AudioTrack",
"$ref-value": {
"properties": {
"codec": {
"type": "string"
},
"id": {
"type": "string"
},
"label": {
"type": "string"
},
"language_code": {
"type": "string"
},
"video_id": {
"type": "string"
}
},
"type": "object"
}
},
"type": "array"
}
},
"type": "object"
}
}curl -X GET "https://api.rixl.com/media/v1/projects/string/videos/string/audio-tracks"OK
application/json
{
"$ref": "#/components/schemas/videosv1.ListAudioTracksResponse",
"$ref-value": {
"properties": {
"audio_tracks": {
"items": {
"$ref": "#/components/schemas/videosv1.AudioTrack",
"$ref-value": {
"properties": {
"codec": {
"type": "string"
},
"id": {
"type": "string"
},
"label": {
"type": "string"
},
"language_code": {
"type": "string"
},
"video_id": {
"type": "string"
}
},
"type": "object"
}
},
"type": "array"
}
},
"type": "object"
}
}